unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, Menus, ToolWin, ImgList, StrUtils;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    Plik1: TMenuItem;
    Nowy1: TMenuItem;
    Otwrz1: TMenuItem;
    Zapisz1: TMenuItem;
    Drukuj1: TMenuItem;
    Koniec1: TMenuItem;
    Edycja1: TMenuItem;
    Wytnik1: TMenuItem;
    Kopiuj1: TMenuItem;
    Wklej1: TMenuItem;
    Pomoc1: TMenuItem;
    OProgramie1: TMenuItem;
    RichEdit1: TRichEdit;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    FontDialog1: TFontDialog;
    ImageList1: TImageList;
    Zapiszjako1: TMenuItem;
    ToolButton5: TToolButton;
    ToolButton7: TToolButton;
    EMaildoautora1: TMenuItem;
    N1: TMenuItem;
    N2: TMenuItem;
    N3: TMenuItem;
    Opcje1: TMenuItem;
    Czcionk1: TMenuItem;
    K1: TMenuItem;
    ColorDialog1: TColorDialog;
    ToolButton6: TToolButton;
    ToolButton8: TToolButton;
    ToolButton9: TToolButton;
    PrinterSetupDialog1: TPrinterSetupDialog;
    Ustawieniadrukarki1: TMenuItem;
    PopupMenu1: TPopupMenu;
    Zapisz2: TMenuItem;
    Otwrz2: TMenuItem;
    Drukuj2: TMenuItem;
    Nowy2: TMenuItem;
    Czcionka1: TMenuItem;
    Dodatki1: TMenuItem;
    GrajMP31: TMenuItem;
    Przegldarkainternetowa1: TMenuItem;
    procedure Zapisz1Click(Sender: TObject);
    procedure Nowy1Click(Sender: TObject);
    procedure Otwrz1Click(Sender: TObject);
    procedure Kopiuj1Click(Sender: TObject);
    procedure Wytnik1Click(Sender: TObject);
    procedure Wklej1Click(Sender: TObject);
    procedure ToolButton1Click(Sender: TObject);
    procedure ToolButton2Click(Sender: TObject);
    procedure ToolButton3Click(Sender: TObject);
    procedure Koniec1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ToolButton4Click(Sender: TObject);
    procedure OProgramie1Click(Sender: TObject);
    procedure Zapiszjako1Click(Sender: TObject);
    procedure FormCanResize(Sender: TObject; var NewWidth,
      NewHeight: Integer; var Resize: Boolean);
    procedure ToolButton5Click(Sender: TObject);
    procedure ToolButton7Click(Sender: TObject);
    procedure EMaildoautora1Click(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure Czcionk1Click(Sender: TObject);
    procedure K1Click(Sender: TObject);
    procedure ToolButton6Click(Sender: TObject);
    procedure Drukuj1Click(Sender: TObject);
    procedure Ustawieniadrukarki1Click(Sender: TObject);
    procedure Nowy2Click(Sender: TObject);
    procedure Otwrz2Click(Sender: TObject);
    procedure Zapisz2Click(Sender: TObject);
    procedure Drukuj2Click(Sender: TObject);
    procedure Czcionka1Click(Sender: TObject);
    procedure GrajMP31Click(Sender: TObject);
    procedure Przegldarkainternetowa1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  var plik:string;
  var kroj:string;
  var wielkosc:integer;
implementation

uses Unit2, Unit3, Unit4, Unit5;

{$R *.dfm}

procedure TForm1.Zapisz1Click(Sender: TObject);
begin
if plik='' then
begin
SaveDialog1.Execute;
RichEdit1.Lines.SaveToFile(SaveDialog1.FileName)
end
else
if plik <> ParamStr(1) then
RichEdit1.Lines.SaveToFile(OpenDialog1.FileName)
else
RichEdit1.Lines.SaveToFile(ParamStr(1));
end;

procedure TForm1.Nowy1Click(Sender: TObject);
begin
RichEdit1.Text:=''
end;

procedure TForm1.Otwrz1Click(Sender: TObject);
begin
RichEdit1.PlainText:=false;
OpenDialog1.Execute;
plik:='';
plik:=OpenDialog1.FileName;
RichEdit1.Font.Name:='Times New Roman';
RichEdit1.Font.Size:=12;
if AnsiEndsStr('rtf',plik)=false then
Begin
RichEdit1.PlainText:=true;
RichEdit1.Font.Name:='Courier New';
RichEdit1.Font.Size:=10;
SaveDialog1.DefaultExt:='txt';
SaveDialog1.Filter:='Pliki tekstowe|*.txt';
end;
RichEdit1.Lines.LoadFromFile(plik);
RichEdit1.Text:='';
RichEdit1.Lines.LoadFromFile(plik);
end;


procedure TForm1.Kopiuj1Click(Sender: TObject);
begin
RichEdit1.CopyToClipboard;
end;

procedure TForm1.Wytnik1Click(Sender: TObject);
begin
RichEdit1.CutToClipboard;
end;

procedure TForm1.Wklej1Click(Sender: TObject);
begin
RichEdit1.PasteFromClipboard;
end;

procedure TForm1.ToolButton1Click(Sender: TObject);
begin
RichEdit1.Font.Height:=wielkosc;
RichEdit1.Font.Name:=kroj;
RichEdit1.Text:='';
plik:='';
RichEdit1.PlainText:=false;
end;

procedure TForm1.ToolButton2Click(Sender: TObject);
begin
if plik='' then
begin
SaveDialog1.Execute;
RichEdit1.Lines.SaveToFile(SaveDialog1.FileName)
end
else
if plik <> ParamStr(1) then
RichEdit1.Lines.SaveToFile(OpenDialog1.FileName)
else
RichEdit1.Lines.SaveToFile(ParamStr(1));
end;

procedure TForm1.ToolButton3Click(Sender: TObject);
begin
RichEdit1.PlainText:=false;
OpenDialog1.Execute;
plik:='';
plik:=OpenDialog1.FileName;
RichEdit1.Font.Name:='Times New Roman';
RichEdit1.Font.Size:=12;
if AnsiEndsStr('rtf',plik)=false then
Begin
RichEdit1.PlainText:=true;
RichEdit1.Font.Name:='Courier New';
RichEdit1.Font.Size:=10;
SaveDialog1.DefaultExt:='txt';
SaveDialog1.Filter:='Pliki tekstowe|*.txt';
end;
RichEdit1.Lines.LoadFromFile(plik);
RichEdit1.Text:='';
RichEdit1.Lines.LoadFromFile(plik);
end;

procedure TForm1.Koniec1Click(Sender: TObject);
begin
close;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
RichEdit1.Font.Name:='Times New Roman';
RichEdit1.Font.Size:=12;
kroj:=RichEdit1.Font.Name;
wielkosc:=RichEdit1.Font.Height;
ToolButton5.Down:=true;
ToolButton5.Hint:='Zawijanie wierszy w.';
RichEdit1.Text:='';
RichEdit1.ScrollBars:=ssBoth;
plik:=ParamStr(1);
If ParamStr(1) <> '' then
begin
RichEdit1.Lines.LoadFromFile(ParamStr(1));
if AnsiEndsStr('rtf',ParamStr(1))=false then
Begin
RichEdit1.PlainText:=true;
RichEdit1.Font.Name:='Courier New';
RichEdit1.Font.Size:=10;
SaveDialog1.DefaultExt:='txt';
SaveDialog1.Filter:='Pliki tekstowe|*.txt';
end;
end;
end;

procedure TForm1.ToolButton4Click(Sender: TObject);
begin
FontDialog1.Font.Name:=RichEdit1.Font.Name;
FontDialog1.Font.Size:=RichEdit1.Font.Size;
FontDialog1.Execute;
RichEdit1.Font.Name:=(FontDialog1.Font.Name);
RichEdit1.Font.Size:=(FontDialog1.Font.Size);
RichEdit1.Font.Color:=FontDialog1.Font.Color;
end;

procedure TForm1.OProgramie1Click(Sender: TObject);
begin
AboutBox.ShowModal;
end;

procedure TForm1.Zapiszjako1Click(Sender: TObject);
begin
SaveDialog1.Execute;
RichEdit1.Lines.SaveToFile(SaveDialog1.FileName);
end;


procedure TForm1.FormCanResize(Sender: TObject; var NewWidth,
  NewHeight: Integer; var Resize: Boolean);
begin
RichEdit1.Height:=Form1.Height-70;
RichEdit1.Width:=Form1.Width-8;
ToolButton6.Width:=Form1.Width-300;
RichEdit1.Refresh;
end;

procedure TForm1.ToolButton5Click(Sender: TObject);
begin
if RichEdit1.WordWrap=True then
begin
RichEdit1.WordWrap:=false;
ToolButton5.Hint:='Zawijanie wierszy wy.';
ToolButton5.Down:=false;
{ToolButton1.}
end
else
begin
RichEdit1.WordWrap:=true;
ToolButton5.hint:='Zawijanie wierszy w.';
ToolButton5.Down:=true;
end;
end;

procedure TForm1.ToolButton7Click(Sender: TObject);
begin
RichEdit1.Print('KangEdit');
end;

procedure TForm1.EMaildoautora1Click(Sender: TObject);
begin
Form3.ShowModal;
end;

procedure TForm1.FormResize(Sender: TObject);
begin
RichEdit1.Height:=Form1.Height-70;
RichEdit1.Width:=Form1.Width-8;
RichEdit1.Refresh;
ToolButton6.Width:=Form1.Width-300;
end;

procedure TForm1.Czcionk1Click(Sender: TObject);
begin
FontDialog1.Font.Name:=RichEdit1.Font.Name;
FontDialog1.Font.Size:=RichEdit1.Font.Size;
FontDialog1.Execute;
RichEdit1.Font.Color:=FontDialog1.Font.Color;
RichEdit1.Font.Name:=(FontDialog1.Font.Name);
RichEdit1.Font.Size:=(FontDialog1.Font.Size);
end;

procedure TForm1.K1Click(Sender: TObject);
begin
ColorDialog1.Execute;
RichEdit1.Color:=ColorDialog1.Color;
end;

procedure TForm1.ToolButton6Click(Sender: TObject);
begin
ColorDialog1.Execute;
RichEdit1.Color:=ColorDialog1.Color;
end;

procedure TForm1.Drukuj1Click(Sender: TObject);

begin
RichEdit1.Print('KangEdit');

end;

procedure TForm1.Ustawieniadrukarki1Click(Sender: TObject);
begin
PrinterSetupDialog1.Execute;
end;

procedure TForm1.Nowy2Click(Sender: TObject);
begin
RichEdit1.Font.Height:=wielkosc;
RichEdit1.Font.Name:=kroj;
RichEdit1.Text:='';
plik:='';
RichEdit1.PlainText:=false;
end;

procedure TForm1.Otwrz2Click(Sender: TObject);
begin
RichEdit1.PlainText:=false;
OpenDialog1.Execute;
plik:='';
plik:=OpenDialog1.FileName;
RichEdit1.Font.Name:='Times New Roman';
RichEdit1.Font.Size:=12;
if AnsiEndsStr('rtf',plik)=false then
Begin
RichEdit1.PlainText:=true;
RichEdit1.Font.Name:='Courier New';
RichEdit1.Font.Size:=10;
SaveDialog1.DefaultExt:='txt';
SaveDialog1.Filter:='Pliki tekstowe|*.txt';
end;
RichEdit1.Lines.LoadFromFile(plik);
RichEdit1.Text:='';
RichEdit1.Lines.LoadFromFile(plik);
end;

procedure TForm1.Zapisz2Click(Sender: TObject);
begin
if plik='' then
begin
SaveDialog1.Execute;
RichEdit1.Lines.SaveToFile(SaveDialog1.FileName)
end
else
if plik <> ParamStr(1) then
RichEdit1.Lines.SaveToFile(OpenDialog1.FileName)
else
RichEdit1.Lines.SaveToFile(ParamStr(1));
end;

procedure TForm1.Drukuj2Click(Sender: TObject);
begin
RichEdit1.Print('KangEdit');
end;

procedure TForm1.Czcionka1Click(Sender: TObject);
begin
FontDialog1.Font.Name:=RichEdit1.Font.Name;
FontDialog1.Font.Size:=RichEdit1.Font.Size;
FontDialog1.Execute;
RichEdit1.Font.Name:=(FontDialog1.Font.Name);
RichEdit1.Font.Size:=(FontDialog1.Font.Size);
RichEdit1.Font.Color:=FontDialog1.Font.Color;
end;

procedure TForm1.GrajMP31Click(Sender: TObject);
begin
mp3.Show;
end;

procedure TForm1.Przegldarkainternetowa1Click(Sender: TObject);
begin
browser.show;
end;

end.
